Cross-Border Import Payments Integration Guide
Learn how you can integrate with Pine Labs Online APIs to start accepting cross border Import Payments on your website.
Follow the below steps to integrate with Pine Labs Online seamless checkout APIs in your application.
- [Prerequisite] Generate Token
- Create Order
- Compute TCS
- Create Payment
- Create Invoice
- Upload Invoice
- Create AWB
- Upload AWB File
Note
- Ensure you store your
client_idandclient_secretin your Backend securely.- Integrate our APIs on your backend system.
- We strictly recommend not to call our APIs from the frontend.
- Failure to adhere to the above guidelines may result in legal implications. In such cases, you will be held responsible for any damage or loss arising from non-compliance.
Watch Out
- To Integrate with Pine Labs Online seamless checkout flow you must have a PCI compliance certificate.
1. [Prerequisite] Generate Token
Integrate our Generate Token API in your backend servers to generate the access token. Use the token generated to authenticate Pine Labs Online APIs.
Below are the sample requests and response for the Generate Token API.
curl --request POST \
--url https://pluraluat.v2.pinepg.in/api/auth/v1/token \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--data '
{
"client_id": "a17ce30e-f88e-4f81-ada1-c3b4909ed232",
"client_secret": "fgwei7egyhuggwp39w8rh",
"grant_type": "client_credentials"
}
'curl --request POST \
--url https://api.pluralpay.in/api/auth/v1/token \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--data '
{
"client_id": "a17ce30e-f88e-4f81-ada1-c3b4909ed232",
"client_secret": "fgwei7egyhuggwp39w8rh",
"grant_type": "client_credentials"
}
'{
"access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
"expires_in": 3600
}Refer to our Generate Token API documentation to learn more.
2. Create Order
To create an Order, use our Create Order API, for authentication use the generated access token in the headers of the API request.
Below are the sample requests and response for a Create Order API.
curl --location 'https://pluraluat.v2.pinepg.in/api/pay/v1/orders' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c' \
--header 'Content-Type: application/json' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'accept: application/json' \
--data '
{
"merchant_order_reference": 112345,
"order_amount": {
"value": 1100,
"currency": "INR"
},
"pre_auth": false,
"allowed_payment_methods": [
"CARD",
"UPI",
"NETBANKING",
"POINTS",
"WALLET"
],
"notes": "order1",
"callback_url": "https://sample-callback-url",
"failure_callback_url": "https://sample-failure-callback-url",
"purchase_details": {
"customer": {
"email_id": "[email protected]",
"first_name": "Kevin",
"last_name": "Bob",
"customer_id": "123456",
"mobile_number": "9876543210",
"country_code": "91",
"billing_address": {
"address1": "H.No 15, Sector 17",
"address2": "",
"address3": "",
"pincode": "61232112",
"city": "CHANDIGARH",
"state": "PUNJAB",
"country": "INDIA",
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "billing"
},
"shipping_address": {
"address1": "H.No 15, Sector 17",
"address2": "",
"address3": "",
"pincode": "144001123",
"city": "CHANDIGARH",
"state": "PUNJAB",
"country": "INDIA",
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "shipping"
}
},
"merchant_metadata": {
"key1": "DD",
"key2": "XOF"
}
},
"cross_border_details": {
"settlement_currency": "USD",
"hs_code": "8471300000",
"hs_description": "Portable digital automatic data processing machines",
"iec_code": "0512345678"
}
}
'curl --location 'https://api.pluralpay.in/api/pay/v1/orders' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c' \
--header 'Content-Type: application/json' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'accept: application/json' \
--data '
{
"merchant_order_reference": 112345,
"order_amount": {
"value": 1100,
"currency": "INR"
},
"pre_auth": false,
"allowed_payment_methods": [
"CARD",
"UPI",
"NETBANKING",
"POINTS",
"WALLET"
],
"notes": "order1",
"callback_url": "https://sample-callback-url",
"failure_callback_url": "https://sample-failure-callback-url",
"purchase_details": {
"customer": {
"email_id": "[email protected]",
"first_name": "Kevin",
"last_name": "Bob",
"customer_id": "123456",
"mobile_number": "9876543210",
"country_code": "91",
"billing_address": {
"address1": "H.No 15, Sector 17",
"address2": "",
"address3": "",
"pincode": "61232112",
"city": "CHANDIGARH",
"state": "PUNJAB",
"country": "INDIA",
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "billing"
},
"shipping_address": {
"address1": "H.No 15, Sector 17",
"address2": "",
"address3": "",
"pincode": "144001123",
"city": "CHANDIGARH",
"state": "PUNJAB",
"country": "INDIA",
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "shipping"
}
},
"merchant_metadata": {
"key1": "DD",
"key2": "XOF"
}
},
"cross_border_details": {
"settlement_currency": "USD",
"hs_code": "8471300000",
"hs_description": "Portable digital automatic data processing machines",
"iec_code": "0512345678"
}
}
'{
"data": {
"order_id": "v1-4405071524-aa-qlAtAf",
"merchant_order_reference": "112345",
"type": "CHARGE",
"status": "CREATED",
"merchant_id": "104359",
"order_amount": {
"value": 1100,
"currency": "INR"
},
"pre_auth": false,
"allowed_payment_methods": [
"CARD",
"UPI",
"NETBANKING",
"POINTS",
"WALLET"
],
"notes": "order1",
"callback_url": "https://sample-callback-url",
"failure_callback_url": "https://sample-failure-callback-url",
"purchase_details": {
"customer": {
"email_id": "[email protected]",
"first_name": "Kevin",
"last_name": "Bob",
"customer_id": "123456",
"mobile_number": "9876543210",
"country_code": "91",
"billing_address": {
"address1": "H.No 15, Sector 17",
"address2": "",
"address3": "",
"pincode": "61232112",
"city": "CHANDIGARH",
"state": "PUNJAB",
"country": "INDIA",
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "billing"
},
"shipping_address": {
"address1": "H.No 15, Sector 17",
"address2": "",
"address3": "",
"pincode": "144001123",
"city": "CHANDIGARH",
"state": "PUNJAB",
"country": "INDIA",
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "shipping"
}
},
"merchant_metadata": {
"key1": "DD",
"key2": "XOF"
}
},
"cross_border_details": {
"is_pa_cb": true,
"settlement_currency": "USD",
"commodity_type": "GOODS",
"category": "B2B",
"purpose_code": "S0303",
"flow_type": "NON_LRS",
"hs_code": "8471300000",
"hs_description": "Portable digital automatic data processing machines",
"iec_code": "0512345678"
},
"payments": [],
"created_at": "2024-07-15T05:44:51.174Z",
"updated_at": "2024-07-15T05:44:51.174Z"
}
}Refer to our Create Order API documentation to learn more.
3. Compute TCS
To create a payment, use our Create Payment API, use the order_id returned in the response of a Create Order API to link the payment against an order.
Below are the sample requests and sample response for Card Payment API.
curl --location 'https://pluraluat.v2.pinepg.in/api/v1/tcs/compute' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c' \
--header 'Content-Type: application/json' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'accept: application/json' \
--data '
{
"order_id": "v1-260430151510-aa-rPpSR3",
"amount": {
"value": 500000,
"currency": "INR"
},
"is_tcs_declared": true
}
'curl --location 'https://api.pluralpay.in/api/v1/tcs/compute' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c' \
--header 'Content-Type: application/json' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'accept: application/json' \
--data '
{
"order_id": "v1-260430151510-aa-rPpSR3",
"amount": {
"value": 500000,
"currency": "INR"
},
"is_tcs_declared": true
}
'{
"tcs_applicable": true,
"tcs_rate": "5.00",
"original_amount": {
"value": 500000,
"currency": "INR"
},
"computed_amount": {
"value": 525000,
"currency": "INR"
},
"breakdown": {
"amount": {
"value": 500000,
"currency": "INR"
},
"tcs": {
"value": 25000,
"currency": "INR"
}
}
}Refer to our Compute TCS API documentation to learn more.
Note:
- TCS Compute API integration is required only for LRS + Services cross-border orders.
4. Create Payment
To create a payment, use our Create Payment API, use the order_id returned in the response of a Create Order API to link the payment against an order.
Below are the sample requests and sample response for Card Payment API.
curl --location 'https://pluraluat.v2.pinepg.in/api/pay/v1/orders/{order_id}/payments' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c' \
--header 'Content-Type: application/json' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'accept: application/json' \
--data '
{
"payments": [
{
"merchant_payment_reference": "008cf04b-a770-4777-854e-b1e6c1230609",
"payment_method": "CARD",
"payment_amount": {
"value": 1100,
"currency": "INR"
},
"payment_option": {
"card_details": {
"name": "Anil Reddy",
"card_number": "4111111111111111",
"cvv": "272",
"expiry_month": "04",
"expiry_year": "2029",
"registered_mobile_number": "9876543210"
}
},
"payer_data": {
"pan": "ABCDE1234F",
"name_on_pan": "John Doe",
"dob": "1990-01-15",
"email": "[email protected]",
"is_tcs_declared": true
},
"tcs_data": {
"breakdown": {
"amount": {
"value": 500000,
"currency": "INR"
},
"tcs": {
"value": 25000,
"currency": "INR"
}
}
}
}
]
}
'curl --location 'https://api.pluralpay.in/api/pay/v1/orders/{order_id}/payments' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c' \
--header 'Content-Type: application/json' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'accept: application/json' \
--data '
{
"payments": [
{
"merchant_payment_reference": "008cf04b-a770-4777-854e-b1e6c1230609",
"payment_method": "CARD",
"payment_amount": {
"value": 1100,
"currency": "INR"
},
"payment_option": {
"card_details": {
"name": "Anil Reddy",
"card_number": "4111111111111111",
"cvv": "272",
"expiry_month": "04",
"expiry_year": "2029",
"registered_mobile_number": "9876543210"
}
},
"payer_data": {
"pan": "ABCDE1234F",
"name_on_pan": "John Doe",
"dob": "1990-01-15",
"email": "[email protected]",
"is_tcs_declared": true
},
"tcs_data": {
"breakdown": {
"amount": {
"value": 500000,
"currency": "INR"
},
"tcs": {
"value": 25000,
"currency": "INR"
}
}
}
}
]
}
'{
"data":{
"order_id":"v1-4405071524-aa-qlAtAf",
"merchant_order_reference":"112345",
"type":"CHARGE",
"status":"PENDING",
"challenge_url":"https://api.pluralpay.in/web/auth/landing/?token=S50%2B0lOoYHlA03j3y8Of4%2BZEzhD8MuFFLKP6NXx9uiaBBXlNhpCRA4wqkPd%2Bs9eRz7H",
"merchant_id":"123456",
"order_amount":{
"value":1100,
"currency":"INR"
},
"pre_auth":false,
"allowed_payment_methods":[
"CARD",
"UPI",
"NETBANKING",
"POINTS",
"WALLET"
],
"notes":"order1",
"callback_url":"https://sample-callback-url",
"failure_callback_url": "https://sample-failure-callback-url",
"purchase_details":{
"customer":{
"email_id":"[email protected]",
"first_name":"Kevin",
"last_name":"Bob",
"customer_id":"123456",
"mobile_number":"9876543210",
"country_code": "91",
"billing_address":{
"address1":"H.No 15, Sector 17",
"address2":"",
"address3":"",
"pincode":"61232112",
"city":"CHANDIGARH",
"state":"PUNJAB",
"country":"INDIA",
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "billing"
},
"shipping_address":{
"address1":"H.No 15, Sector 17",
"address2":"",
"address3":"",
"pincode":"144001123",
"city":"CHANDIGARH",
"state":"PUNJAB",
"country":"INDIA",
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "shipping"
}
},
"merchant_metadata":{
"key1":"value1",
"key2":"value2"
}
},
"payments":[
{
"id":"v1-5307071124-aa-dmkVNf-cc-c",
"merchant_payment_reference":"008cf04b-a770-4777-854e-b1e6c1230609",
"status":"PENDING",
"payment_amount":{
"value":1100,
"currency":"INR"
},
"payment_method":"CARD",
"payment_option":{
"card_data":{
"card_type":"CREDIT",
"network_name":"VISA",
"issuer_name":"KOTAK",
"card_category":"CONSUMER",
"country_code":"IND",
"token_txn_type":"ALT_TOKEN"
}
},
"created_at":"2024-07-11T07:53:43.358Z",
"updated_at":"2024-07-11T07:56:18.044Z"
}
],
"created_at":"2024-07-11T07:53:43.358Z",
"updated_at":"2024-07-11T07:56:18.044Z"
}
}Refer to our Create Payment API documentation to learn more.
Note:When the pre-authorization is set to true you can capture the payment after successful delivery or service.
5. Create Invoice
To update the invoice details, use our Create Invoice Details API.
Below are the sample requests and sample response for Create Invoice Details API.
curl --location 'https://pluraluat.v2.pinepg.in/api/pay/v1/orders/{order_id}/invoice' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c' \
--header 'Content-Type: application/json' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'accept: application/json' \
--data '
{
"invoice_number": "INV-2026-001",
"invoice_date": "2026-04-28",
"supplier_name": "Global Exports Ltd"
}
'curl --location 'https://api.pluralpay.in/api/pay/v1/orders/{order_id}/invoice' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c' \
--header 'Content-Type: application/json' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'accept: application/json' \
--data '
{
"invoice_number": "INV-2026-001",
"invoice_date": "2026-04-28",
"supplier_name": "Global Exports Ltd"
}
'{
"invoice_id": "inv_001",
"order_id": "v1-260430151510-aa-rPpSR3",
"invoice_number": "INV-2026-001",
"invoice_date": "2026-04-28",
"status": "INVOICE_CAPTURED"
}Refer to our Create Invoice Details API documentation to learn more.
6. Upload Invoice
To upload a invoice into our system, use our Upload Invoice API.
Below are the sample requests and sample response for Upload Invoice API.
curl --location 'https://pluraluat.v2.pinepg.in/api/pay/v1/orders/{order_id}/invoice/{invoice_id}/upload' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c' \
--header 'Content-Type: multipart/form-data' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'accept: application/json' \
--data '
{
"file": ""
}
'curl --location 'https://api.pluralpay.in/api/pay/v1/orders/{order_id}/invoice/{invoice_id}/upload' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c' \
--header 'Content-Type: multipart/form-data' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'accept: application/json' \
--data '
{
"file": ""
}
'{
}Refer to our Upload Invoice API documentation to learn more.
7. Create AWB
To create a airway bill, use our Create AWB API, use the order_id returned in the response of a Create Order API to link the AW against an order.
Below are the sample requests and sample response for Create AWB API.
curl --location 'https://pluraluat.v2.pinepg.in/api/pay/v1/orders/{order_id}/awb' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c' \
--header 'Content-Type: application/json' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'accept: application/json' \
--data '
{
"awb_number": "AWB-FDX-12345",
"courier_name": "FedEx",
"awb_date": "2026-04-29",
"tracking_url": "https://www.fedex.com/track/12345"
}
'curl --location 'https://api.pluralpay.in/api/pay/v1/orders/{order_id}/awb' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c' \
--header 'Content-Type: application/json' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'accept: application/json' \
--data '
{
"awb_number": "AWB-FDX-12345",
"courier_name": "FedEx",
"awb_date": "2026-04-29",
"tracking_url": "https://www.fedex.com/track/12345"
}
'{
"data":{
"order_id":"v1-4405071524-aa-qlAtAf",
"merchant_order_reference":"112345",
"type":"CHARGE",
"status":"PENDING",
"challenge_url":"https://api.pluralpay.in/web/auth/landing/?token=S50%2B0lOoYHlA03j3y8Of4%2BZEzhD8MuFFLKP6NXx9uiaBBXlNhpCRA4wqkPd%2Bs9eRz7H",
"merchant_id":"123456",
"order_amount":{
"value":1100,
"currency":"INR"
},
"pre_auth":false,
"allowed_payment_methods":[
"CARD",
"UPI",
"NETBANKING",
"POINTS",
"WALLET"
],
"notes":"order1",
"callback_url":"https://sample-callback-url",
"failure_callback_url": "https://sample-failure-callback-url",
"purchase_details":{
"customer":{
"email_id":"[email protected]",
"first_name":"Kevin",
"last_name":"Bob",
"customer_id":"123456",
"mobile_number":"9876543210",
"country_code": "91",
"billing_address":{
"address1":"H.No 15, Sector 17",
"address2":"",
"address3":"",
"pincode":"61232112",
"city":"CHANDIGARH",
"state":"PUNJAB",
"country":"INDIA",
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "billing"
},
"shipping_address":{
"address1":"H.No 15, Sector 17",
"address2":"",
"address3":"",
"pincode":"144001123",
"city":"CHANDIGARH",
"state":"PUNJAB",
"country":"INDIA",
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "shipping"
}
},
"merchant_metadata":{
"key1":"value1",
"key2":"value2"
}
},
"payments":[
{
"id":"v1-5307071124-aa-dmkVNf-cc-c",
"merchant_payment_reference":"008cf04b-a770-4777-854e-b1e6c1230609",
"status":"PENDING",
"payment_amount":{
"value":1100,
"currency":"INR"
},
"payment_method":"CARD",
"payment_option":{
"card_data":{
"card_type":"CREDIT",
"network_name":"VISA",
"issuer_name":"KOTAK",
"card_category":"CONSUMER",
"country_code":"IND",
"token_txn_type":"ALT_TOKEN"
}
},
"created_at":"2024-07-11T07:53:43.358Z",
"updated_at":"2024-07-11T07:56:18.044Z"
}
],
"created_at":"2024-07-11T07:53:43.358Z",
"updated_at":"2024-07-11T07:56:18.044Z"
}
}Refer to our Create Payment API documentation to learn more.
Updated about 2 hours ago
